import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/forumapp/forum/sensitivity/` + url, ...arg)

/**
 * 论坛-敏感词Api接口管理器
 *
 * @author 金吉龙
 * @date  2025/07/15 11:07
 **/
export default {
	// 获取论坛-敏感词分页
	forumSensitivityPage(data) {
		return request('page', data, 'get')
	},
	// 提交论坛-敏感词表单 edit为true时为编辑，默认为新增
	forumSensitivitySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除论坛-敏感词
	forumSensitivityDelete(data) {
		return request('delete', data)
	},
	// 获取论坛-敏感词详情
	forumSensitivityDetail(data) {
		return request('detail', data, 'get')
	}}
